Debian Bug report logs - #623900
ITP: ruby-crack -- A gem to parse XML and JSON

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Nakul Ezhuthupally <nakule@gmail.com>

Date: Sun, 24 Apr 2011 09:42:01 UTC

Owned by: Nandaja Varma <nandaja.varma@gmail.com>

Severity: wishlist

Fixed in version ruby-crack/0.3.2-1

Done: Praveen Arimbrathodiyil <praveen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#623900; Package wnpp. (Sun, 24 Apr 2011 09:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nakul Ezhuthupally <nakule@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 24 Apr 2011 09:42:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nakul Ezhuthupally <nakule@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: crack v0.1.8
Date: Sun, 24 Apr 2011 05:38:09 -0400
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Nakul Ezhuthupally <nakule@gmail.com>


* Package name    : crack
  Version         : 0.1.8
  Upstream Author : John Nunemaker <nunemaker@gmail.com>, Wynn Netherland <
wynn.netherland@gmail.com>
* URL             : http://github.com/jnunemaker/crack
* License         : MIT License
  Programming Lang: Ruby
  Description     : Really simple JSON and XML parsing, ripped from Merb and
Rails

Regards,

Nakul Ezhuthupally

-- 
Nakul Ezhuthupally (www.blog.nakule.co.cc)
[Message part 2 (text/html, inline)]

Changed Bug title to 'ITP: crack-0.1.8' from 'ITP: crack v0.1.8' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Thu, 23 Feb 2012 04:18:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: crack-0.1.8 -- <missing description>' from 'ITP: crack-0.1.8' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Mon, 27 Feb 2012 06:57:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'A gem to parse JSON and XML,ripped from Merb and Rails' from 'ITP: crack-0.1.8 -- <missing description>' Request was from Nandaja Varma <nandaja.varma@gmail.com> to control@bugs.debian.org. (Thu, 25 Oct 2012 21:27:06 GMT) Full text and rfc822 format available.

Owner changed from Nakul Ezhuthupally <nakule@gmail.com> to Nandaja Varma nandaja.varma@gmail.com. Request was from Nandaja Varma <nandaja.varma@gmail.com> to control@bugs.debian.org. (Thu, 25 Oct 2012 21:27:06 GMT) Full text and rfc822 format available.

Owner changed from Nandaja Varma nandaja.varma@gmail.com to Nandaja Varma <nandaja.varma@gmail.com>. Request was from Nandaja Varma <nandaja.varma@gmail.com> to control@bugs.debian.org. (Thu, 25 Oct 2012 21:30:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: crack v0.1.8 --A gem to parse JSON and XML,ripped' from 'A gem to parse JSON and XML,ripped from Merb and Rails' Request was from Nandaja Varma <nandaja.varma@gmail.com> to control@bugs.debian.org. (Fri, 26 Oct 2012 05:51:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: crack v0.1.8 -- A gem to parse JSON and' from 'ITP: crack v0.1.8 --A gem to parse JSON and XML,ripped' Request was from Nandaja Varma <nandaja.varma@gmail.com> to control@bugs.debian.org. (Fri, 26 Oct 2012 06:03:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP:crack v0.1.8 -- A gem to parse XML and JSON,ripped' from 'ITP: crack v0.1.8 -- A gem to parse JSON and' Request was from Nandaja Varma <nandaja.varma@gmail.com> to control@bugs.debian.org. (Fri, 26 Oct 2012 06:06:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP:crack v0.1.8 -- A gem to parse XML and JSON' from 'ITP:crack v0.1.8 -- A gem to parse XML and JSON,ripped' Request was from Nandaja Varma <nandaja.varma@gmail.com> to control@bugs.debian.org. (Fri, 26 Oct 2012 06:06:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: ruby-crack -- A gem to parse XML and JSON' from 'ITP:crack v0.1.8 -- A gem to parse XML and JSON' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Fri, 26 Oct 2012 09:51:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 623900: 691492 Request was from Nandaja Varma <nandaja.varma@gmail.com> to control@bugs.debian.org. (Fri, 26 Oct 2012 18:54:06 GMT) Full text and rfc822 format available.

Added indication that bug 623900 blocks 695194 Request was from Cédric Boutillier <cedric.boutillier@gmail.com> to 695194-submitter@bugs.debian.org. (Wed, 05 Dec 2012 10:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nandaja Varma <nandaja.varma@gmail.com>:
Bug#623900; Package wnpp. (Thu, 06 Dec 2012 08:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nandaja Varma <nandaja.varma@gmail.com>. (Thu, 06 Dec 2012 08:45:03 GMT) Full text and rfc822 format available.

Message #34 received at 623900@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Cédric Boutillier <cedric.boutillier@gmail.com>, 695194-quiet@bugs.debian.org, Nandaja Varma <nandaja.varma@gmail.com>
Cc: 623900@bugs.debian.org
Subject: Re: Bug#695194: dependencies
Date: Thu, 6 Dec 2012 17:43:36 +0900
Hi Cédric

On Wed, 5 Dec 2012 11:36:14 +0100
Cédric Boutillier <cedric.boutillier@gmail.com> wrote:
> The packaging of dependencies (ruby-jwt and ruby-crack) is currently in
> progress

 ruby-crack seems to be not progressed since it was ITPed.
 So, I've made its package today.

 Please check http://www.mithril-linux.org/~henrich/debian/package/temp/
 If it's okay, I'll upload to unstable repository.

 (Of course, change maintainer to others are welcome)
 

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nandaja Varma <nandaja.varma@gmail.com>:
Bug#623900; Package wnpp. (Thu, 06 Dec 2012 12:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cédric Boutillier <cedric.boutillier@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nandaja Varma <nandaja.varma@gmail.com>. (Thu, 06 Dec 2012 12:09:03 GMT) Full text and rfc822 format available.

Message #39 received at 623900@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <cedric.boutillier@gmail.com>
To: Hideki Yamane <henrich@debian.or.jp>
Cc: 695194-quiet@bugs.debian.org, Nandaja Varma <nandaja.varma@gmail.com>, 623900@bugs.debian.org
Subject: Re: Bug#695194: dependencies
Date: Thu, 6 Dec 2012 13:07:21 +0100
On Thu, Dec 06, 2012 at 05:43:36PM +0900, Hideki Yamane wrote:
> Hi Cédric

> On Wed, 5 Dec 2012 11:36:14 +0100
> Cédric Boutillier <cedric.boutillier@gmail.com> wrote:
> > The packaging of dependencies (ruby-jwt and ruby-crack) is currently in
> > progress

>  ruby-crack seems to be not progressed since it was ITPed.
>  So, I've made its package today.

>  Please check http://www.mithril-linux.org/~henrich/debian/package/temp/
>  If it's okay, I'll upload to unstable repository.

Thanks Hideki,

The package looks fine. Maybe I would change the description to remove
the word 'gem' and mention Ruby instead.

--- ruby-crack-0.3.1/debian/control     2012-12-06 09:23:04.000000000 +0100
+++ ruby-crack-0.3.1.new/debian/control 2012-12-06 11:25:46.655218228 +0100
@@ -10,7 +10,7 @@
 Package: ruby-crack
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ruby
-Description: A gem to parse XML and JSON
- Really simple JSON and XML parsing. 
+Description: Ruby library to parse XML and JSON
+ Crack is a really simple JSON and XML parsing library written in Ruby.
  .
  XML parser is ripped from Merb and the JSON parser is ripped from Rails.

I would also be nice to have tests enabled at build time, but this would
require the packaging of jnunemaker-matchy. They could be enabled
later, I guess.

Would you mind maintaining it inside the pkg-ruby-extras Alioth team?

Cédric



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nandaja Varma <nandaja.varma@gmail.com>:
Bug#623900; Package wnpp. (Sun, 09 Dec 2012 14:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nandaja Varma <nandaja.varma@gmail.com>. (Sun, 09 Dec 2012 14:24:03 GMT) Full text and rfc822 format available.

Message #44 received at 623900@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Cédric Boutillier <cedric.boutillier@gmail.com>
Cc: 695194-quiet@bugs.debian.org, Nandaja Varma <nandaja.varma@gmail.com>, 623900@bugs.debian.org
Subject: Re: Bug#695194: dependencies
Date: Sun, 9 Dec 2012 23:20:55 +0900
Hi,

 thank you for your review, Cédric :)
 fixed the description.

On Thu, 6 Dec 2012 13:07:21 +0100
Cédric Boutillier <cedric.boutillier@gmail.com> wrote:
> I would also be nice to have tests enabled at build time, but this would
> require the packaging of jnunemaker-matchy. They could be enabled
> later, I guess.

 Updated. And temporary upload ruby-jnunemaker-matchy (not completed yet)
 see http://www.mithril-linux.org/~henrich/debian/package/temp/


> Would you mind maintaining it inside the pkg-ruby-extras Alioth team?

 Hm, Yes, it'd be better to work inside team and I prefer team maintenance
 than solo, but I wonder I can read more mail traffic... ;-) 
 

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nandaja Varma <nandaja.varma@gmail.com>:
Bug#623900; Package wnpp. (Tue, 11 Dec 2012 18:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cédric Boutillier <cedric.boutillier@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nandaja Varma <nandaja.varma@gmail.com>. (Tue, 11 Dec 2012 18:03:05 GMT) Full text and rfc822 format available.

Message #49 received at 623900@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <cedric.boutillier@gmail.com>
To: Hideki Yamane <henrich@debian.or.jp>
Cc: 695194-quiet@bugs.debian.org, Nandaja Varma <nandaja.varma@gmail.com>, 623900@bugs.debian.org
Subject: Re: Bug#695194: dependencies
Date: Tue, 11 Dec 2012 19:00:24 +0100
Hi,

On Sun, Dec 09, 2012 at 11:20:55PM +0900, Hideki Yamane wrote:

> On Thu, 6 Dec 2012 13:07:21 +0100
> Cédric Boutillier <cedric.boutillier@gmail.com> wrote:
> > I would also be nice to have tests enabled at build time, but this would
> > require the packaging of jnunemaker-matchy. They could be enabled
> > later, I guess.

>  Updated. And temporary upload ruby-jnunemaker-matchy (not completed yet)
>  see http://www.mithril-linux.org/~henrich/debian/package/temp/

About ruby-crack:
- in the patch which removes the call to 'gem', I would remove also the
  line "require 'rubygems'"
- in debian/copyright, in order to avoid to repeat the MIT license, I
  would use a standalone paragraph (and change the name of the license
  from MIT to Expat)

About ruby-jnunemaker-matchy:
  I see that you have the XS-Ruby-Version: set to ruby1.8. In fact,
  ruby-jnunemaker-matchy should work (at least the tests should pass)
  with ruby1.9 also, if you add ruby-test-unit to the build-dependencies.

Cheers,

Cédric



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nandaja Varma <nandaja.varma@gmail.com>:
Bug#623900; Package wnpp. (Wed, 12 Dec 2012 05:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nandaja Varma <nandaja.varma@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nandaja Varma <nandaja.varma@gmail.com>. (Wed, 12 Dec 2012 05:30:03 GMT) Full text and rfc822 format available.

Message #54 received at 623900@bugs.debian.org (full text, mbox):

From: Nandaja Varma <nandaja.varma@gmail.com>
To: Cédric Boutillier <cedric.boutillier@gmail.com>, 623900@bugs.debian.org
Cc: Hideki Yamane <henrich@debian.or.jp>, 695194-quiet@bugs.debian.org
Subject: Re: Bug#623900: Bug#695194: dependencies
Date: Wed, 12 Dec 2012 10:56:04 +0530
[Message part 1 (text/plain, inline)]
Hi,
I have completed packaging ruby-jnunemaker-matchy and pushed it to the
gitorious repo.
https://gitorious.org/+debian-diaspora/debian-diaspora/ruby-jnunemaker-matchy
 So maybe Hideki can carry on with crack now.
Regards,
Nandaja


On Tue, Dec 11, 2012 at 11:30 PM, Cédric Boutillier <
cedric.boutillier@gmail.com> wrote:

> Hi,
>
> On Sun, Dec 09, 2012 at 11:20:55PM +0900, Hideki Yamane wrote:
>
> > On Thu, 6 Dec 2012 13:07:21 +0100
> > Cédric Boutillier <cedric.boutillier@gmail.com> wrote:
> > > I would also be nice to have tests enabled at build time, but this
> would
> > > require the packaging of jnunemaker-matchy. They could be enabled
> > > later, I guess.
>
> >  Updated. And temporary upload ruby-jnunemaker-matchy (not completed yet)
> >  see http://www.mithril-linux.org/~henrich/debian/package/temp/
>
> About ruby-crack:
> - in the patch which removes the call to 'gem', I would remove also the
>   line "require 'rubygems'"
> - in debian/copyright, in order to avoid to repeat the MIT license, I
>   would use a standalone paragraph (and change the name of the license
>   from MIT to Expat)
>
> About ruby-jnunemaker-matchy:
>   I see that you have the XS-Ruby-Version: set to ruby1.8. In fact,
>   ruby-jnunemaker-matchy should work (at least the tests should pass)
>   with ruby1.9 also, if you add ruby-test-unit to the build-dependencies.
>
> Cheers,
>
> Cédric
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nandaja Varma <nandaja.varma@gmail.com>:
Bug#623900; Package wnpp. (Tue, 19 Mar 2013 16:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <praveen@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nandaja Varma <nandaja.varma@gmail.com>. (Tue, 19 Mar 2013 16:06:04 GMT) Full text and rfc822 format available.

Message #59 received at 623900@bugs.debian.org (full text, mbox):

From: Praveen A <praveen@debian.org>
To: 623900@bugs.debian.org
Cc: Hideki Yamane <henrich@debian.or.jp>, Nandaja Varma <nandaja.varma@gmail.com>, Cédric Boutillier <cedric.boutillier@gmail.com>, Nakul Ezhuthupally <nakule@gmail.com>
Subject: ruby-jnunemaker-matchy has hit unstable
Date: Tue, 19 Mar 2013 21:33:13 +0530
Hi Hideki,

You can upload ruby-crack now!

See http://packages.qa.debian.org/r/ruby-jnunemaker-matchy/news/20130318T220007Z.html

Cheers
Praveen



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nandaja Varma <nandaja.varma@gmail.com>:
Bug#623900; Package wnpp. (Wed, 15 May 2013 14:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nandaja Varma <nandaja.varma@gmail.com>. (Wed, 15 May 2013 14:33:04 GMT) Full text and rfc822 format available.

Message #64 received at 623900@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 623900@bugs.debian.org
Cc: Hideki Yamane <henrich@debian.or.jp>, Nandaja Varma <nandaja.varma@gmail.com>, Cédric Boutillier <cedric.boutillier@gmail.com>
Subject: added crack to alioth git repo
Date: Wed, 15 May 2013 20:00:06 +0530
Hi Hideki,

I imported your package to alioth git repo and tweked ruby-tests.rake
to actually run the tests. Now all tests run with ruby 1.8 but 4 tests
fails with ruby 1.9.1

/usr/bin/ruby1.8 -I/usr/lib/ruby/vendor_ruby
/usr/lib/ruby/vendor_ruby/gem2deb/test_runner.rb
/usr/bin/ruby1.8 -I"lib:test" -I"/usr/lib/ruby/vendor_ruby"
"/usr/lib/ruby/vendor_ruby/rake/rake_test_loader.rb"
"test/json_test.rb" "test/hash_test.rb" "test/crack_test.rb"
"test/parser_test.rb" "test/string_test.rb" "test/xml_test.rb"
Loaded suite /usr/lib/ruby/vendor_ruby/rake/rake_test_loader
Started
......................................................................................
Finished in 0.118895 seconds.

86 tests, 48 assertions, 0 failures, 0 errors
/usr/bin/ruby1.9.1 -I/usr/lib/ruby/vendor_ruby
/usr/lib/ruby/vendor_ruby/gem2deb/test_runner.rb
/usr/bin/ruby1.9.1 -I"lib:test" -I"/usr/lib/ruby/vendor_ruby"
"/usr/lib/ruby/vendor_ruby/rake/rake_test_loader.rb"
"test/json_test.rb" "test/hash_test.rb" "test/crack_test.rb"
"test/parser_test.rb" "test/string_test.rb" "test/xml_test.rb"
Run options:

# Running tests:

....................................FF.F...F..........................................

Finished tests in 0.143082s, 601.0527 tests/s, 335.4713 assertions/s.

  1) Failure:
test: Json should decode json ({a: "2007-01-01 01:12:34 Z"}).
(JsonTest) [/usr/lib/ruby/vendor_ruby/matchy/expectation_builder.rb:6]:
Expected #<Proc:0x0000000227c340@/tmp/buildd/ruby-crack-0.3.2/test/json_test.rb:48
(lambda)> to not raise Exception.

  2) Failure:
test: Json should decode json ({a: "2007-01-01 01:12:34"}). (JsonTest)
[/usr/lib/ruby/vendor_ruby/matchy/expectation_builder.rb:6]:
Expected #<Proc:0x0000000230d278@/tmp/buildd/ruby-crack-0.3.2/test/json_test.rb:48
(lambda)> to not raise Exception.

  3) Failure:
test: Json should decode json ({a: "2007-01-01T01:12:34Z"}).
(JsonTest) [/usr/lib/ruby/vendor_ruby/matchy/expectation_builder.rb:6]:
Expected #<Proc:0x000000023b4a50@/tmp/buildd/ruby-crack-0.3.2/test/json_test.rb:48
(lambda)> to not raise Exception.

  4) Failure:
test: Json should raise error for failed decoding. (JsonTest)
[/usr/lib/ruby/vendor_ruby/matchy/expectation_builder.rb:6]:
Expected #<Proc:0x0000000206d888@/tmp/buildd/ruby-crack-0.3.2/test/json_test.rb:55
(lambda)> to raise Crack::ParseError, but Psych::SyntaxError was
raised instead.

86 tests, 48 assertions, 4 failures, 0 errors, 0 skips
rake aborted!
Command failed with status (4): [/usr/bin/ruby1.9.1 -I"lib:test" -I"/usr/li...]

Tasks: TOP => default => test
(See full trace by running task with --trace)
ERROR: Test "ruby1.9.1" failed. Exiting.

--
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nandaja Varma <nandaja.varma@gmail.com>:
Bug#623900; Package wnpp. (Wed, 15 May 2013 15:00:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nandaja Varma <nandaja.varma@gmail.com>. (Wed, 15 May 2013 15:00:12 GMT) Full text and rfc822 format available.

Message #69 received at 623900@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 623900@bugs.debian.org
Cc: Hideki Yamane <henrich@debian.or.jp>, Nandaja Varma <nandaja.varma@gmail.com>, Cédric Boutillier <cedric.boutillier@gmail.com>
Subject: Re: added crack to alioth git repo
Date: Wed, 15 May 2013 20:29:00 +0530
2013/5/15 Praveen A <pravi.a@gmail.com>:
> Hi Hideki,
>
> I imported your package to alioth git repo and tweked ruby-tests.rake
> to actually run the tests. Now all tests run with ruby 1.8 but 4 tests
> fails with ruby 1.9.1

Reported upstream https://github.com/jnunemaker/crack/issues/44

--
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 15 May 2013 20:09:32 GMT) Full text and rfc822 format available.

Reply sent to Praveen Arimbrathodiyil <praveen@debian.org>:
You have taken responsibility. (Wed, 29 May 2013 19:03:16 GMT) Full text and rfc822 format available.

Notification sent to Nakul Ezhuthupally <nakule@gmail.com>:
Bug acknowledged by developer. (Wed, 29 May 2013 19:03:16 GMT) Full text and rfc822 format available.

Message #76 received at 623900-close@bugs.debian.org (full text, mbox):

From: Praveen Arimbrathodiyil <praveen@debian.org>
To: 623900-close@bugs.debian.org
Subject: Bug#623900: fixed in ruby-crack 0.3.2-1
Date: Wed, 29 May 2013 19:00:07 +0000
Source: ruby-crack
Source-Version: 0.3.2-1

We believe that the bug you reported is fixed in the latest version of
ruby-crack, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 623900@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Praveen Arimbrathodiyil <praveen@debian.org> (supplier of updated ruby-crack package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 15 May 2013 18:54:13 +0530
Source: ruby-crack
Binary: ruby-crack
Architecture: source all
Version: 0.3.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Praveen Arimbrathodiyil <praveen@debian.org>
Description: 
 ruby-crack - Ruby library to parse XML and JSON
Closes: 623900
Changes: 
 ruby-crack (0.3.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #623900)
   * Initial packaging by Hideki Yamane
   * Help from Cédric Boutillier with failing tests
Checksums-Sha1: 
 fcf6774aa3e79733ed69f0f431ac073f49ef6732 2106 ruby-crack_0.3.2-1.dsc
 7de1037eaee203f43bfb3947c5c33eb9956ee436 32316 ruby-crack_0.3.2.orig.tar.gz
 0da5053a212fbcb6890b5191f651265972073f54 3440 ruby-crack_0.3.2-1.debian.tar.gz
 a90baf93025caf41098f02282802faa8243a705d 8622 ruby-crack_0.3.2-1_all.deb
Checksums-Sha256: 
 6385db7f05b15e173af83a11639f3b9bf113a526bbc8718b867952fc8f0745fe 2106 ruby-crack_0.3.2-1.dsc
 02859af0cfa8d70accc7885dd9b6932fb9d36720aec0b289124645604e8997c9 32316 ruby-crack_0.3.2.orig.tar.gz
 cc5d44168f3537a4f277b848243c00591f785a2de9f45b2da794a0e0800c1c98 3440 ruby-crack_0.3.2-1.debian.tar.gz
 2a7f025249f7a718de7c76f989b2270429193de6a3bafc8afc63e1a7f872bb52 8622 ruby-crack_0.3.2-1_all.deb
Files: 
 5b3d0a08381d6454ce91644acf1a58d2 2106 ruby optional ruby-crack_0.3.2-1.dsc
 14f54835d12c786b4290f88af27e7f58 32316 ruby optional ruby-crack_0.3.2.orig.tar.gz
 c3c1cb59f82c60d90259bd674a2e5a9f 3440 ruby optional ruby-crack_0.3.2-1.debian.tar.gz
 c0d51882c8b93db9ef3d9d63c05343d7 8622 ruby optional ruby-crack_0.3.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRk7FdAAoJEM4fnGdFEsIqNq0P/AkzGxkcWOHX5Uohl29itcFL
beafuMNfyj2O4q1gF9lZPDYBazeBof7BLimfT3iJz1HFAJzDf78GblSf0Ro1m17g
gzkgc3hKgDpOWH856KSqdlRGMuotUHso0gcDvd080Yr9WWEoPFNUyJEVmlQIrF6e
F4rZ06OnLdUENyJe65+a65RsKGS9pZEQfUVMpC/cg9YhZyoHq3Aa5sduj5d5XkV8
V2TFnHdPYDfKQYx7UHYMAecsHwFtsh1tBcrah6FVxWnrMJ1oP3l74JQSk0Xl32Sm
/InOqM/9LFWCvCuvaRqKCJM9PQO23FLS9iuGWq7OWbOgN9YjTBilVRAkKztjgApq
dDebluluQ74LjYobVlLq42+566QSCI68fbV/2recB1AXK/+RPq02GHra8i1cYtZG
9s9K0l1S4SDzvGy6JPFMcoy5sa32XijJgrJDkPd73IN8VwrbUNCKQfY5ifKjfnTl
Q6aNu65E9LgINkoTXtLJ3RUI7jWdSVcF1gIIOPSXR7d/6Thh0c2cCQR3s9a9x/gj
tH1nE1TwLxZfwE+dS2Ua8uw8qNCtX5xSdTjP1Kah2kBA9UHPIjUWoFy3WXT94hNN
AVVJdwTuMW7gKyX/K2Q8DQBY+ECFf/r5T6c/DM3tXUzomfJMEtiZ2vmrZFqPkFWE
rFeQwl9k863LQKK5Mb0x
=k6pC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Jun 2013 07:25:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:44:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.